/*
** Copyright 2001, Michael Pfeiffer	
*/

#ifndef _TEST_WINDOW_H
#define _TEST_WINDOW_H

#include <be/app/MessageFilter.h>
#include <be/game/WindowScreen.h>

class EscapeMessageFilter : public BMessageFilter {
	private:
		BWindow *mWindow;
		int32    mWhat;
		
	public:
		EscapeMessageFilter(BWindow *window, int32 what) : BMessageFilter(B_ANY_DELIVERY, B_ANY_SOURCE, '_KYD'), mWindow(window), mWhat(what) { }
		filter_result Filter(BMessage *msg, BHandler **target);
};

class TestWindow : public BWindowScreen {
private:
   void ScreenConnected(bool connected);
   void DrawTestImage();
   
public:
   TestWindow(uint32 space, status_t* error);   
};

#endif
